# Ogre::StaticGeometry::QueuedSubMesh Struct Reference

Structure recording a queued submesh for the build. More...

`#include <OgreStaticGeometry.h>`

Inheritance diagram for Ogre::StaticGeometry::QueuedSubMesh:

[legend]

List of all members.

## Public Member Functions

void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Public Attributes

SubMesh * | submesh
SubMeshLodGeometryLinkList * | geometryLodList
| Link to LOD list of geometry, potentially optimised.
String | materialName
Vector3 | position
Quaternion | orientation
Vector3 | scale
AxisAlignedBox | worldBounds
| Pre-transformed world AABB.

## Detailed Description

Structure recording a queued submesh for the build.

Definition at line 151 of file OgreStaticGeometry.h.

## Member Function Documentation

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 62 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 73 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 79 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 84 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 89 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 106 of file OgreMemoryAllocatedObject.h.

template<class Alloc>

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

SubMesh* Ogre::StaticGeometry::QueuedSubMesh::submesh

Definition at line 153 of file OgreStaticGeometry.h.

SubMeshLodGeometryLinkList* Ogre::StaticGeometry::QueuedSubMesh::geometryLodList

Link to LOD list of geometry, potentially optimised.

Definition at line 155 of file OgreStaticGeometry.h.

String Ogre::StaticGeometry::QueuedSubMesh::materialName

Definition at line 156 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedSubMesh::position

Definition at line 157 of file OgreStaticGeometry.h.

Quaternion Ogre::StaticGeometry::QueuedSubMesh::orientation

Definition at line 158 of file OgreStaticGeometry.h.

Vector3 Ogre::StaticGeometry::QueuedSubMesh::scale

Definition at line 159 of file OgreStaticGeometry.h.

AxisAlignedBox Ogre::StaticGeometry::QueuedSubMesh::worldBounds

Pre-transformed world AABB.

Definition at line 161 of file OgreStaticGeometry.h.

The documentation for this struct was generated from the following file:

- OgreStaticGeometry.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 14:34:16 2009